Seedance 2.0 Fast
Text-to-Video • ByteDance • ProxiedFaster variant of ByteDance's Seedance 2.0 video model. Trades some quality for speed while sharing the same multimodal architecture. Supports text-to-video, image-to-video, native audio generation, multimodal references (images, videos, audio), video editing, and video extension.
| Model Info | |
|---|---|
| More information | link ↗ |
| Pricing | View pricing in the Cloudflare dashboard ↗ |
Usage
const response = await env.AI.run( 'bytedance/seedance-2.0-fast', { prompt: 'A golden retriever running through a field of sunflowers on a sunny day', aspect_ratio: '16:9', duration: 5, resolution: '720p', },)console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \ --header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \ --header "Content-Type: application/json" \ --data '{ "model": "bytedance/seedance-2.0-fast", "input": { "prompt": "A golden retriever running through a field of sunflowers on a sunny day", "aspect_ratio": "16:9", "duration": 5, "resolution": "720p" }}'{ "state": "Completed", "result": { "video": "https://examples.aig.cloudflare.com/bytedance/seedance-2.0-fast/quick-video.mp4" }, "gatewayMetadata": { "keySource": "Unified" }}Examples
Portrait Video — Vertical video for social media
const response = await env.AI.run( 'bytedance/seedance-2.0-fast', { prompt: 'A barista pouring latte art in a cozy coffee shop, close-up with shallow depth of field', aspect_ratio: '9:16', duration: 5, resolution: '720p', },)console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \ --header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \ --header "Content-Type: application/json" \ --data '{ "model": "bytedance/seedance-2.0-fast", "input": { "prompt": "A barista pouring latte art in a cozy coffee shop, close-up with shallow depth of field", "aspect_ratio": "9:16", "duration": 5, "resolution": "720p" }}'{ "state": "Completed", "result": { "video": "https://examples.aig.cloudflare.com/bytedance/seedance-2.0-fast/portrait-video.mp4" }, "gatewayMetadata": { "keySource": "Unified" }}Parameters
stringrequireddefault: 16:9enum: 16:9, 4:3, 1:1, 3:4, 9:16, 21:9, 9:21Video aspect ratio. Ignored if an image is used.booleanrequireddefault: falseWhether to fix camera positionintegerrequireddefault: 5maximum: 12minimum: 4Video duration in secondsnumberrequireddefault: 24const: 24Frame rate (frames per second)booleanWhether to generate audio with the videostringReference image (HTTP(S) URL or base64 data URI) for image-to-videostringReference image (HTTP(S) URL or base64 data URI) for last-frame guidance. Only works if an image start frame is also given.stringrequiredmaxLength: 2000Text prompt describing the video to generatearraymaxItems: 4Reference images (1-4, HTTP(S) URLs or base64 data URIs) to guide video generation for characters, avatars, clothing, or environments. Cannot be used with 1080p resolution or first/last frame images.stringReference video (HTTP(S) URL or base64 data URI) for style/motion guidancestringrequireddefault: 720penum: 480p, 720pVideo resolutionintegermaximum: 9007199254740991minimum: -9007199254740991Random seed for reproducible generationbooleanrequireddefault: falseWhether to add a watermark to the output videostringformat: uriURL to the generated video